import { createCommands } from '@jolibox/common';
import { TrackEvent, PerformanceType } from '@jolibox/types';

const commands = createCommands();

export const track = (event: TrackEvent, info: Record<string, unknown>) => {
  commands.executeCommand('ReportSDK.traceSystem', {
    event,
    info
  });
};

export const trackPerformance = (
  event: PerformanceType,
  duration: number,
  extra?: Record<string, unknown>
) => {
  commands.executeCommand('ReportSDK.traceSystemTimeline', {
    event,
    duration,
    extra
  });
};
